import { createApp } from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import ElementPlus from "element-plus";
import "element-plus/lib/theme-chalk/index.css";
import "./assets/css/icon.css";
import "./assets/font/iconfont.css";
import "default-passive-events";
import dialogDrag from "/@/assets/js/dialogDrag.js"; // 地址就是dialogDrag.js在位置

import * as ElementPlusIconsVue from "@element-plus/icons-vue";


import "animate.css";

import "./permission";
// import Antd from 'ant-design-vue';
// import 'ant-design-vue/dist/antd.css';

import basicTool from "@tools/basicTool";

/**
 * 对 Date 的扩展，将 Date 转化为指定格式的字符串
 * @param {String} fmt 传入一个字符串，根据所传字符串的格式返回转换后特定格式的日期。
 * 调用姿势：new Date().formatDate("yyyy-MM-dd hh:mm:ss");
 */
Date.prototype.formatDate = function (fmt) {
    let o = {
        "M+": this.getMonth() + 1, //月份 
        "d+": this.getDate(), //日 
        "h+": this.getHours(), //小时 
        "m+": this.getMinutes(), //分 
        "s+": this.getSeconds(), //秒 
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度 
        "S": this.getMilliseconds() //毫秒 
    };
    if (/(y+)/.test(fmt)) {
        fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    }
    for (let k in o) {
        if (new RegExp("(" + k + ")").test(fmt)) {
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
        }

    }
    return fmt;
}

const app = createApp(App);

for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
    app.component(key, component);
}

app.use(router)
    .use(store)
    .use(dialogDrag)
    .use(ElementPlus, { size: "small" })
// .use(Antd)

app.config.globalProperties.BASE = basicTool; //全局注册

app.mount("#app");